设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 80|回复: 9

[编程申请] 帮弄个小方孔避角lsp

[复制链接]

已领礼包: 127个

财富等级: 日进斗金

发表于 7 天前 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
命令rqj后选择矩形,输入半径值,就能把矩形的尖角,长边避角了,谢谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 222个

财富等级: 日进斗金

发表于 4 天前 | 显示全部楼层
(defun c:bj( / r ent par dxf10 lst p1 p2 p3 ang12 ang13 d1 d2 osm x1 y1)
        (setvar "cmdecho" 0)
        (if (not bjr) (setq bjr ""))
        (setq r (getreal (strcat "\n[避角半径]<" bjr ">:")))
        (if (not r) (setq r (atof bjr)) (setq bjr (rtos r)))
        (while (setq ent (car (entsel "\n选择矩形:")))
                (setq par (entget ent) lst nil)
                (while (setq dxf10 (assoc 10 par))
                  (setq par (cdr (member dxf10 par)))
                  (setq lst (append lst (list (cdr dxf10))))
                )
                (setq p1 (car lst) p2 (cadr lst) p3 (caddr lst))
                (setq ang12 (angle p1 p2)) (if (> ang12 pi) (setq ang12 (- ang12 pi pi)))
                (setq ang13 (angle p1 p3)) (if (> ang13 pi) (setq ang13 (- ang13 pi pi)))
                (if (or (< 0 (- ang13 ang12) pi) (> (- ang12 ang13) pi)) nil (setq lst (reverse lst)))
                (setq p1 (trans (car lst) 0 1) p2 (trans (cadr lst) 0 1) p3 (trans (caddr lst) 0 1))
                (setq d1 (distance p1 p2) d2 (distance p2 p3))
                (if (< d1 d2) (setq p1 p2 p2 p3 d3 d1 d1 d2 d2 d3))
                (setq osm (getvar "osmode"))
                (setvar "osmode" 0)
                (setq x1 (car p1) y1 (cadr p1))
                (command "pline" p1 "A" "ce" (list (+ x1 r) y1) "A" "180"  "L" (list (+ x1 (- d1 r r )) y1)
                                "A" "ce" (list (+ x1 (- d1 r )) y1) "A" "180" "L" (list (+ x1 d1) (+ y1 d2))
                                "A" "ce" (list (+ x1 (- d1 r ))(+  y1 d2)) "A" "180" "L" (list (+ x1 r r) (+ y1 d2))
                                "A" "ce" (list (+ x1 r) (+  y1 d2)) "A" "180" "L" "C")
                (command "rotate" (entlast) "" p1 "R" "0" p2)
                (setvar "osmode" osm)
                (command "matchprop" ent (entlast) "")
                (entdel ent)
        )        (princ)
)


点评

多谢,很完美,  详情 回复 发表于 4 天前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 1 反对 0

使用道具 举报

已领礼包: 3923个

财富等级: 富可敌国

发表于 7 天前 | 显示全部楼层
避角是什么意思?最好做个示例。

点评

一个是前的,一个是避角后的,  详情 回复 发表于 7 天前
不好意思手机发表的图片没上传上来,一会电脑有网了,我在发个  详情 回复 发表于 7 天前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 127个

财富等级: 日进斗金

 楼主| 发表于 7 天前 | 显示全部楼层
本帖最后由 twtysoi 于 2020-1-13 18:42 编辑
tzfcn 发表于 2020-1-13 16:18
避角是什么意思?最好做个示例。

不好意思手机发表的图片没上传上来,一会电脑有网了,我在发个

我手绘是这样的,

我手绘是这样的,
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 127个

财富等级: 日进斗金

 楼主| 发表于 7 天前 | 显示全部楼层
tzfcn 发表于 2020-1-13 16:18
避角是什么意思?最好做个示例。

一个是前的,一个是避角后的,
BJ.jpg
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 5 天前 | 显示全部楼层
请点击此处下载

请先注册会员后在进行下载

已注册会员,请先登录后下载

文件名称:bj.lsp 
下载次数:5  文件大小:1 KB  售价:1D豆 [记录]
下载权限: 不限 以上  [免费赚D豆]


点评

好像有点小问题就是斜方形,跟修剪有点问题,  详情 回复 发表于 5 天前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 127个

财富等级: 日进斗金

 楼主| 发表于 5 天前 | 显示全部楼层
本帖最后由 twtysoi 于 2020-1-15 14:52 编辑

好像有点小问题就是斜方形,跟修剪有点问题,

点评

斜方形可以先转角度 ,在执行插件 然后再转回去  详情 回复 发表于 4 天前
斜方形可以先转角度 ,在执行插件 然后再转回去  详情 回复 发表于 4 天前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 4 天前 | 显示全部楼层
twtysoi 发表于 2020-1-15 13:30
好像有点小问题就是斜方形,跟修剪有点问题,

斜方形可以先转角度 ,在执行插件  然后再转回去
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 4 天前 | 显示全部楼层
twtysoi 发表于 2020-1-15 13:30
好像有点小问题就是斜方形,跟修剪有点问题,

斜方形可以先转角度 ,在执行插件  然后再转回去
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 127个

财富等级: 日进斗金

 楼主| 发表于 4 天前 | 显示全部楼层
王鹏_pBZlo 发表于 2020-1-16 09:20
(defun c:bj( / r ent par dxf10 lst p1 p2 p3 ang12 ang13 d1 d2 osm x1 y1)
        (setvar "cmdecho" 0)
        (i ...

多谢,很完美,
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-1-20 14:39 , Processed in 0.099394 second(s), 49 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表